From SinonX3, 1 Year ago, written in Plain Text.
Embed
  1. login as: root
  2. root@188.213.134.177's password:
  3. Welcome to Ubuntu 14.04.1 LTS (GNU/Linux 2.6.32-48-pve x86_64)
  4.  
  5.  * Documentation:  https://help.ubuntu.com/
  6.  
  7. The programs included with the Ubuntu system are free software;
  8. the exact distribution terms for each program are described in the
  9. individual files in /usr/share/doc/*/copyright.
  10.  
  11. Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
  12. applicable law.
  13.  
  14. root@server03:~# apt-get update
  15. Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
  16. Ign http://archive.canonical.com trusty InRelease
  17. Ign http://archive.ubuntu.com trusty InRelease
  18. Get:2 http://archive.canonical.com trusty Release.gpg [916 B]
  19. Get:3 http://archive.ubuntu.com trusty-updates InRelease [65.9 kB]
  20. Get:4 http://archive.canonical.com trusty Release [9359 B]
  21. Get:5 http://security.ubuntu.com trusty-security/main amd64 Packages [687 kB]
  22. Get:6 http://archive.canonical.com trusty/partner amd64 Packages [5351 B]
  23. Get:7 http://archive.ubuntu.com trusty Release.gpg [933 B]
  24. Get:8 http://archive.canonical.com trusty/partner i386 Packages [5763 B]
  25. Get:9 http://archive.ubuntu.com trusty-updates/main amd64 Packages [1035 kB]
  26. Get:10 http://archive.canonical.com trusty/partner Translation-en [4207 B]
  27. Get:11 http://security.ubuntu.com trusty-security/restricted amd64 Packages [14.1 kB]
  28. Get:12 http://security.ubuntu.com trusty-security/universe amd64 Packages [191 kB]
  29. Get:13 http://security.ubuntu.com trusty-security/multiverse amd64 Packages [4793 B]
  30. Get:14 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [17.2 kB]
  31. Get:15 http://security.ubuntu.com trusty-security/main i386 Packages [631 kB]
  32. Get:16 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [430 kB]
  33. Get:17 http://security.ubuntu.com trusty-security/restricted i386 Packages [13.9 kB]
  34. Get:18 http://archive.ubuntu.com trusty-updates/main i386 Packages [977 kB]
  35. Get:19 http://security.ubuntu.com trusty-security/universe i386 Packages [192 kB]
  36. Get:20 http://security.ubuntu.com trusty-security/multiverse i386 Packages [4953 B]
  37. Get:21 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [17.0 kB]
  38. Get:22 http://security.ubuntu.com trusty-security/main Translation-en [369 kB]
  39. Get:23 http://archive.ubuntu.com trusty-updates/universe i386 Packages [431 kB]
  40. Get:24 http://security.ubuntu.com trusty-security/multiverse Translation-en [2564 B]
  41. Get:25 http://archive.ubuntu.com trusty-updates/main Translation-en [511 kB]
  42. Get:26 http://security.ubuntu.com trusty-security/restricted Translation-en [3542 B]
  43. Get:27 http://security.ubuntu.com trusty-security/universe Translation-en [110 kB]
  44. Get:28 http://archive.ubuntu.com trusty-updates/restricted Translation-en [4031 B]
  45. Get:29 http://archive.ubuntu.com trusty-updates/universe Translation-en [233 kB]
  46. Get:30 http://archive.ubuntu.com trusty Release [58.5 kB]
  47. Get:31 http://archive.ubuntu.com trusty/main amd64 Packages [1350 kB]
  48. Get:32 http://archive.ubuntu.com trusty/restricted amd64 Packages [13.0 kB]
  49. Get:33 http://archive.ubuntu.com trusty/universe amd64 Packages [5859 kB]
  50. Get:34 http://archive.ubuntu.com trusty/main i386 Packages [1348 kB]
  51. Get:35 http://archive.ubuntu.com trusty/restricted i386 Packages [13.4 kB]
  52. Get:36 http://archive.ubuntu.com trusty/universe i386 Packages [5866 kB]
  53. Get:37 http://archive.ubuntu.com trusty/main Translation-en [762 kB]
  54. Get:38 http://archive.ubuntu.com trusty/restricted Translation-en [3457 B]
  55. Get:39 http://archive.ubuntu.com trusty/universe Translation-en [4089 kB]
  56. Fetched 25.4 MB in 15s (1645 kB/s)
  57. Reading package lists... Done
  58. root@server03:~# wget https://www.shadowzentral.de/rtorrent.sh
  59. --2017-10-31 03:22:17--  https://www.shadowzentral.de/rtorrent.sh
  60. Resolving www.shadowzentral.de (www.shadowzentral.de)... 46.30.213.223
  61. Connecting to www.shadowzentral.de (www.shadowzentral.de)|46.30.213.223|:443... connected.
  62. HTTP request sent, awaiting response... 200 OK
  63. Length: 9442 (9.2K) [text/x-sh]
  64. Saving to: 'rtorrent.sh'
  65.  
  66. 100%[======================================>] 9,442       --.-K/s   in 0s
  67.  
  68. 2017-10-31 03:22:18 (107 MB/s) - 'rtorrent.sh' saved [9442/9442]
  69.  
  70. root@server03:~# chmod 777 rtorrent.sh
  71. root@server03:~# ./rtorrent.sh
  72. ./rtorrent.sh: line 220: [: : integer expression expected
  73. Reading package lists... Done
  74. Building dependency tree... Done
  75. Package ffmpeg is not available, but is referred to by another package.
  76. This may mean that the package is missing, has been obsoleted, or
  77. is only available from another source
  78.  
  79. E: Package 'ffmpeg' has no installation candidate
  80. ./rtorrent.sh: line 229: svn: command not found
  81. ./rtorrent.sh: line 230: cd: xmlrpc-c/: No such file or directory
  82. ./rtorrent.sh: line 231: ./configure: No such file or directory
  83. make: *** No targets specified and no makefile found.  Stop.
  84. make: *** No rule to make target `install'.  Stop.
  85. ./rtorrent.sh: line 236: git: command not found
  86. ./rtorrent.sh: line 237: cd: libtorrent: No such file or directory
  87. ./rtorrent.sh: line 238: git: command not found
  88. ./rtorrent.sh: line 238: git: command not found
  89. ./rtorrent.sh: line 239: ./autogen.sh: No such file or directory
  90. ./rtorrent.sh: line 240: ./configure: No such file or directory
  91. make: *** No targets specified and no makefile found.  Stop.
  92. make: *** No rule to make target `install'.  Stop.
  93. ./rtorrent.sh: line 245: git: command not found
  94. ./rtorrent.sh: line 246: cd: rtorrent: No such file or directory
  95. ./rtorrent.sh: line 247: git: command not found
  96. ./rtorrent.sh: line 247: git: command not found
  97. ./rtorrent.sh: line 248: ./autogen.sh: No such file or directory
  98. ./rtorrent.sh: line 249: ./configure: No such file or directory
  99. make: *** No targets specified and no makefile found.  Stop.
  100. make: *** No rule to make target `install'.  Stop.
  101. --2017-10-31 03:22:37--  http://nginx.org/keys/nginx_signing.key
  102. Resolving nginx.org (nginx.org)... 206.251.255.63, 95.211.80.227, 2606:7100:1:69::3f, ...
  103. Connecting to nginx.org (nginx.org)|206.251.255.63|:80... connected.
  104. HTTP request sent, awaiting response... 200 OK
  105. Length: 1561 (1.5K) [text/plain]
  106. Saving to: 'nginx_signing.key'
  107.  
  108. 100%[======================================>] 1,561       --.-K/s   in 0s
  109.  
  110. 2017-10-31 03:22:38 (199 MB/s) - 'nginx_signing.key' saved [1561/1561]
  111.  
  112. OK
  113. Ign http://archive.canonical.com trusty InRelease
  114. Ign http://archive.ubuntu.com trusty InRelease
  115. Hit http://archive.canonical.com trusty Release.gpg
  116. Hit http://archive.ubuntu.com trusty-updates InRelease
  117. Hit http://security.ubuntu.com trusty-security InRelease
  118. Hit http://archive.canonical.com trusty Release
  119. Hit http://archive.ubuntu.com trusty Release.gpg
  120. Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
  121. Hit http://archive.canonical.com trusty/partner amd64 Packages
  122. Get:1 http://nginx.org xenial InRelease [4351 B]
  123. Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
  124. Hit http://security.ubuntu.com trusty-security/main amd64 Packages
  125. Hit http://archive.canonical.com trusty/partner i386 Packages
  126. Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
  127. Hit http://archive.canonical.com trusty/partner Translation-en
  128. Hit http://archive.ubuntu.com trusty-updates/main i386 Packages
  129. Hit http://security.ubuntu.com trusty-security/restricted amd64 Packages
  130. Hit http://archive.ubuntu.com trusty-updates/restricted i386 Packages
  131. Get:2 http://nginx.org xenial/nginx Sources [27.4 kB]
  132. Hit http://archive.ubuntu.com trusty-updates/universe i386 Packages
  133. Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
  134. Hit http://archive.ubuntu.com trusty-updates/main Translation-en
  135. Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
  136. Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages
  137. Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
  138. Hit http://archive.ubuntu.com trusty Release
  139. Hit http://security.ubuntu.com trusty-security/main i386 Packages
  140. Hit http://archive.ubuntu.com trusty/main amd64 Packages
  141. Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
  142. Hit http://security.ubuntu.com trusty-security/restricted i386 Packages
  143. Hit http://archive.ubuntu.com trusty/universe amd64 Packages
  144. Get:3 http://nginx.org xenial/nginx amd64 Packages [38.3 kB]
  145. Hit http://archive.ubuntu.com trusty/main i386 Packages
  146. Hit http://security.ubuntu.com trusty-security/universe i386 Packages
  147. Hit http://archive.ubuntu.com trusty/restricted i386 Packages
  148. Hit http://security.ubuntu.com trusty-security/multiverse i386 Packages
  149. Get:4 http://nginx.org xenial/nginx i386 Packages [38.3 kB]
  150. Hit http://archive.ubuntu.com trusty/universe i386 Packages
  151. Hit http://archive.ubuntu.com trusty/main Translation-en
  152. Hit http://security.ubuntu.com trusty-security/main Translation-en
  153. Hit http://archive.ubuntu.com trusty/restricted Translation-en
  154. Hit http://archive.ubuntu.com trusty/universe Translation-en
  155. Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
  156. Hit http://security.ubuntu.com trusty-security/restricted Translation-en
  157. Hit http://security.ubuntu.com trusty-security/universe Translation-en
  158. Ign http://nginx.org xenial/nginx Translation-en
  159. Fetched 108 kB in 4s (25.0 kB/s)
  160. Reading package lists... Done
  161. Reading package lists... Done
  162. Building dependency tree... Done
  163. Some packages could not be installed. This may mean that you have
  164. requested an impossible situation or if you are using the unstable
  165. distribution that some required packages have not yet been created
  166. or been moved out of Incoming.
  167. The following information may help to resolve the situation:
  168.  
  169. The following packages have unmet dependencies:
  170.  nginx : Depends: init-system-helpers (>= 1.18~) but 1.14 is to be installed
  171.          Depends: libssl1.0.0 (>= 1.0.2~beta3) but 1.0.1f-1ubuntu2.7 is to be installed
  172. E: Unable to correct problems, you have held broken packages.
  173. Adding user `rtorrent' ...
  174. Adding new group `rtorrent' (1000) ...
  175. Adding new user `rtorrent' (1000) with group `rtorrent' ...
  176. Creating home directory `/home/rtorrent' ...
  177. Copying files from `/etc/skel' ...
  178. Changing the user information for rtorrent
  179. Enter the new value, or press ENTER for the default
  180.         Full Name []: rTorrent
  181.         Room Number []:
  182.         Work Phone []:
  183.         Home Phone []:
  184.         Other []:
  185. Is the information correct? [Y/n] Y
  186. ./rtorrent.sh: line 347: curl: command not found
  187. Reading package lists... Done
  188. Building dependency tree... Done
  189. The following extra packages will be installed:
  190.   libc-ares2 libv8-3.14.5
  191. The following NEW packages will be installed:
  192.   libc-ares2 libv8-3.14.5 nodejs
  193. 0 upgraded, 3 newly installed, 0 to remove and 172 not upgraded.
  194. Need to get 1907 kB of archives.
  195. After this operation, 7538 kB of additional disk space will be used.
  196. Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libc-ares2 amd64 1.10.0-2ubuntu0.2 [34.1 kB]
  197. Get:2 http://archive.ubuntu.com/ubuntu/ trusty/universe libv8-3.14.5 amd64 3.14.5.8-5ubuntu2 [1189 kB]
  198. Get:3 http://archive.ubuntu.com/ubuntu/ trusty/universe nodejs amd64 0.10.25~dfsg2-2ubuntu1 [684 kB]
  199. Fetched 1907 kB in 0s (2248 kB/s)
  200. Selecting previously unselected package libc-ares2:amd64.
  201. (Reading database ... 25722 files and directories currently installed.)
  202. Preparing to unpack .../libc-ares2_1.10.0-2ubuntu0.2_amd64.deb ...
  203. Unpacking libc-ares2:amd64 (1.10.0-2ubuntu0.2) ...
  204. Selecting previously unselected package libv8-3.14.5.
  205. Preparing to unpack .../libv8-3.14.5_3.14.5.8-5ubuntu2_amd64.deb ...
  206. Unpacking libv8-3.14.5 (3.14.5.8-5ubuntu2) ...
  207. Selecting previously unselected package nodejs.
  208. Preparing to unpack .../nodejs_0.10.25~dfsg2-2ubuntu1_amd64.deb ...
  209. Unpacking nodejs (0.10.25~dfsg2-2ubuntu1) ...
  210. Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  211. Setting up libc-ares2:amd64 (1.10.0-2ubuntu0.2) ...
  212. Setting up libv8-3.14.5 (3.14.5.8-5ubuntu2) ...
  213. Setting up nodejs (0.10.25~dfsg2-2ubuntu1) ...
  214. update-alternatives: using /usr/bin/nodejs to provide /usr/bin/js (js) in auto mode
  215. Processing triggers for libc-bin (2.19-0ubuntu6.4) ...
  216. ./rtorrent.sh: line 351: git: command not found
  217. ./rtorrent.sh: line 352: cd: flood: No such file or directory
  218. cp: cannot stat 'config.template.js': No such file or directory
  219. ./rtorrent.sh: line 354: npm: command not found
  220. Adding user `flood' ...
  221. Adding new group `flood' (1001) ...
  222. Adding new user `flood' (1001) with group `flood' ...
  223. Creating home directory `/home/flood' ...
  224. Copying files from `/etc/skel' ...
  225. Changing the user information for flood
  226. Enter the new value, or press ENTER for the default
  227.         Full Name []: Flood
  228.         Room Number []:
  229.         Work Phone []:
  230.         Home Phone []:
  231.         Other []:
  232. Is the information correct? [Y/n] Y
  233. chown: cannot access '/home/rtorrent/flood/': No such file or directory
  234. ./rtorrent.sh: line 46: bad substitution: no closing "`" in ` | '_ \ / _ \ \/ /
  235. #    ___) |  __/  __/ (_| | |_) | (_) >  <
  236. #   |____/ \___|\___|\__,_|_.__/ \___/_/\_#
  237. # @see http://methvin.net/scripts/rtorrent
  238. # @see http://tldp.org/LDP/abs/html/
  239. # ------------------------------------------------------------------------------
  240.  
  241. ## Username to run rtorrent under, make sure you have a .rtorrent.rc in the
  242. ## home directory of this user!
  243. USER="rtorrent"
  244.  
  245. ## Absolute path to the rtorrent binary.
  246. RTORRENT="/usr/bin/rtorrent"
  247.  
  248. ## Absolute path to the screen binary.
  249. SCREEN="/usr/bin/screen"
  250.  
  251. ## Name of the screen session, you can then "screen -r rtorrent" to get it back
  252. ## to the forground and work with it on your shell.
  253. SCREEN_NAME="rtorrent"
  254.  
  255. ## Absolute path to rtorrent's PID file.
  256. PIDFILE="/var/run/rtorrent.pid"
  257.  
  258. ## Absolute path to rtorrent's XMLRPC socket.
  259. SOCKET="/var/run/rtorrent/rpc.socket"
  260.  
  261. ## Check if the socket exists and if it exists delete it.
  262. delete_socket() {
  263.     if [[ -e $SOCKET ]]; then
  264.         rm -f $SOCKET
  265.     fi
  266. }
  267.  
  268. case "$1" in
  269.     ## Start rtorrent in the background.
  270.     start)
  271.         echo "Starting rtorrent."
  272.         delete_socket
  273.         start-stop-daemon --start --background --oknodo             --pidfile "$PIDFILE" --make-pidfile             --chuid $USER             --exec $SCREEN -- -DmUS $SCREEN_NAME $RTORRENT $RTORRENTBIN
  274.         if [[ $? -ne 0 ]]; then
  275.             echo "Error: rtorrent failed to start."
  276.             exit 1
  277.         fi
  278.         echo "rtorrent started successfully."
  279.         ;;
  280.  
  281.     ## Stop rtorrent.
  282.     stop)
  283.         echo "Stopping rtorrent."
  284.         start-stop-daemon --stop --oknodo --pidfile "$PIDFILE"
  285.         if [[ $? -ne 0 ]]; then
  286.             echo "Error: failed to stop rtorrent process."
  287.             exit 1
  288.         fi
  289.         delete_socket
  290.         echo "rtorrent stopped successfully."
  291.         ;;
  292.  
  293.     ## Restart rtorrent.
  294.     restart)
  295.         "$0" stop
  296.         sleep 1
  297.         "$0" start || exit 1
  298.         ;;
  299.  
  300.     ## Print usage information if the user gives an invalid option.
  301.     *)
  302.         echo "Usage: $0 [start|stop|restart]"
  303.         exit 1
  304.         ;;
  305.  
  306. esac
  307.  
  308. update-rc.d: /etc/init.d/rtorrent: file does not exist
  309. update-rc.d: /etc/init.d/flood: file does not exist
  310. rtorrent: unrecognized service
  311. flood: unrecognized service
  312. root@server03:~# chown: cannot access '/home/rtorrent/flood/': No such file or directory
  313. -bash: chown:: command not found
  314. root@server03:~# ./rtorrent.sh: line 46: bad substitution: no closing "`" in ` | '_ \ / _ \ \/ /
  315. > #    ___) |  __/  __/ (_| | |_) | (_) >  <
  316. > #   |____/ \___|\___|\__,_|_.__/ \___/_/\_#
  317. > # @see http://methvin.net/scripts/rtorrent
  318. > # @see http://tldp.org/LDP/abs/html/
  319. > # ------------------------------------------------------------------------------
  320. >
  321. > ## Username to run rtorrent under, make sure you have a .rtorrent.rc in the
  322. > ## home directory of this user!
  323. > USER="rtorrent"
  324. >
  325. > ## Absolute path to the rtorrent binary.
  326. > RTORRENT="/usr/bin/rtorrent"
  327. >
  328. > ## Absolute path to the screen binary.
  329. > SCREEN="/usr/bin/screen"
  330. >
  331. > ## Name of the screen session, you can then "screen -r rtorrent" to get it back
  332. > ## to the forground and work with it on your shell.
  333. > SCREEN_NAME="rtorrent"
  334. >
  335. > ## Absolute path to rtorrent's PID file.
  336. > PIDFILE="/var/run/rtorrent.pid"
  337. >
  338. > ## Absolute path to rtorrent's XMLRPC socket.
  339. > SOCKET="/var/run/rtorrent/rpc.socket"
  340. >
  341. > ## Check if the socket exists and if it exists delete it.
  342. > delete_socket() {
  343. >     if [[ -e $SOCKET ]]; then
  344. >         rm -f $SOCKET
  345. >     fi
  346. > }
  347. >
  348. > case "$1" in
  349. >     ## Start rtorrent in the background.
  350. >     start)
  351. >         echo "Starting rtorrent."
  352. >         delete_socket
  353. >         start-stop-daemon --start --background --oknodo             --pidfile "$PIDFILE" --make-pidfile             --chuid $USER             --exec $SCREEN -- -DmUS $SCREEN_NAME $RTORRENT $RTORRENTBIN
  354. >         if [[ $? -ne 0 ]]; then
  355. >             echo "Error: rtorrent failed to start."
  356. >             exit 1
  357. >         fi
  358. >         echo "rtorrent started successfully."
  359. >         ;;
  360. >
  361. >     ## Stop rtorrent.
  362. >     stop)
  363. >         echo "Stopping rtorrent."
  364. >         start-stop-daemon --stop --oknodo --pidfile "$PIDFILE"
  365. >         if [[ $? -ne 0 ]]; then
  366. >             echo "Error: failed to stop rtorrent process."
  367. >             exit 1
  368. >         fi
  369. >         delete_socket
  370. >         echo "rtorrent stopped successfully."
  371. >         ;;
  372. >
  373. >     ## Restart rtorrent.
  374. >     restart)
  375. >         "$0" stop
  376. >         sleep 1
  377. >         "$0" start || exit 1
  378. >         ;;
  379. >
  380. >     ## Print usage information if the user gives an invalid option.
  381. >     *)
  382. >         echo "Usage: $0 [start|stop|restart]"
  383. >         exit 1
  384. >         ;;
  385. >
  386. > esac
  387. >
  388. > update-rc.d: /etc/init.d/rtorrent: file does not exist
  389. > update-rc.d: /etc/init.d/flood: file does not exist
  390. > rtorrent: unrecognized service
  391. > flood: unrecognized service
  392. > root@server03:~#
  393. >
  394.